#language: ru

@fzp

Функционал: 002. Планирование переработки. Правил расчета отгрузок

Контекст: 
	Дано Я подключаюсь под "Администратор"

Сценарий: 002.1. Планирование переработки. Создание групп планирования

	Дано я удаляю объекты "Справочники.к2КаналыСбыта" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ГруппыПартнеровПланирования" без контроля ссылок
	Когда я создаю Канал сбыта "Сети"
	Когда Я создаю Группы партнеров для планирования "Атак(ФЗП)" с каналом сбыта "Сети" с менеджером "Пользователь"
	Когда Я создаю Группы партнеров для планирования "Ашан(ФЗП)" с каналом сбыта "Сети" с менеджером "Пользователь"
	Когда Я создаю Группы партнеров для планирования "Метро(ФЗП)" с каналом сбыта "Сети" с менеджером "Пользователь"

Сценарий: 002.2. Планирование переработки. Подстановка контрагентам групп планирования

	Тогда Я подставляю контрагенту "Атак(ФЗП)" группу планирования "Атак(ФЗП)" ОСГ "75,00" пользователя "Пользователь"
	Тогда Я подставляю контрагенту "Ашан(ФЗП)" группу планирования "Ашан(ФЗП)" ОСГ "75,00" пользователя "Пользователь"
	Тогда Я подставляю контрагенту "Метро(ФЗП)" группу планирования "Метро(ФЗП)" ОСГ "75,00" пользователя "Пользователь"

Сценарий: 002.3. Планирование переработки. Создание правил расчета отгрузок
	
	Дано я удаляю объекты "Справочники.к2ПравилаРасчетаОтгрузок" без контроля ссылок
	Тогда Я создаю правила расчета отгрузок по заказам "По заказам с учетом предварительных заказов" с учетом предварительных заказов
	Тогда Я создаю правила расчета отгрузок По статистике "По статистике без предварительных заказов" без предварительных заказов с длительностью "3"
	Тогда Я создаю правила расчета отгрузок По статистике с вытеснением "По статистике с вытеснением заказами" без предварительных заказов с длительностью "4"
	Тогда Я создаю правила расчета отгрузок По статистике "По статистике с учетом предварительных заказов" с учетом предварительных заказов с длительностью "3"

Сценарий: 002.4. Планирование переработки. Создание Применения правил расчета отгрузок
	
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ПрименениеПравилРасчетаОтгрузок"
	Тогда Я создаю применение правил расчета отгрузок "Копченые колбасы" "Атак(ФЗП)" "0" "14" "По статистике с вытеснением заказами"
	Тогда Я создаю применение правил расчета отгрузок "Копченые колбасы" "Ашан(ФЗП)" "0" "14" "По статистике с вытеснением заказами"
	Тогда Я создаю применение правил расчета отгрузок "Копченые колбасы" "Метро(ФЗП)" "0" "14" "По заказам с учетом предварительных заказов"

Сценарий: 002.5. Планирование переработки. Создание Вида календаря производства переработки

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И из выпадающего списка "Вид календаря производства переработки" я выбираю по строке 'Индивидуально по базовому продукту'
	И Я закрываю окно 'Настройки планирования'

Сценарий: 002.6. Планирование переработки. Создание Календаря производства переработки

	Дано я удаляю все элементы таблицы "РегистрСведений.к2КалендарьПроизводстваПереработки"
	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Календарь производства переработки'
	Тогда я жду открытия окна 'Календарь производства переработки' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Календарь производства переработки (создание)' в течение 20 секунд
	И в поле 'Дата запуска' я ввожу текст '31.12.2019'
	И в поле 'Длительность производственного цикла, дней' я ввожу текст '2'
	И из выпадающего списка "Базовый продукт" я выбираю по строке '(БП) Сервелат Финский'
	И в поле 'Дата выпуска' я ввожу текст '01.01.2020'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Календарь производства переработки (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Календарь производства переработки' в течение 20 секунд
	И я нажимаю на кнопку 'Настроить расписание'
	Тогда я жду открытия окна 'Форма настройки расписания' в течение 20 секунд
	И я выбираю пункт контекстного меню "Добавить" на элементе формы с именем "ТаблицаРасписания"
	И в таблице "ТаблицаРасписания" из выпадающего списка "Базовый продукт" я выбираю по строке '(БП) Сервелат Финский'
	И в таблице "ТаблицаРасписания" в поле 'Длительность производственного цикла' я ввожу текст '2'
	И в таблице "ТаблицаРасписания" из выпадающего списка "Понедельник" я выбираю по строке 'вт'
	И в таблице "ТаблицаРасписания" из выпадающего списка "Вторник" я выбираю по строке 'ср'
	И в таблице "ТаблицаРасписания" из выпадающего списка "Среда" я выбираю по строке 'чт'
	И в таблице "ТаблицаРасписания" из выпадающего списка "Четверг" я выбираю по строке 'пт'
	И в таблице "ТаблицаРасписания" из выпадающего списка "Пятница" я выбираю по строке 'пн'
	И в таблице "ТаблицаРасписания" я завершаю редактирование строки
	И я нажимаю на кнопку 'Сохранить'
	Тогда я жду открытия окна 'Календарь производства переработки' в течение 20 секунд
	И я нажимаю на кнопку 'Заполнить календарь'
	Тогда я жду открытия окна 'Заполнение расписания на период' в течение 20 секунд
	И в поле 'Дата начала' я ввожу текст '01.02.2019'
	И в поле 'Дата окончания' я ввожу текст '30.04.2019'
	И я нажимаю на кнопку 'Заполнить календарь'
	Тогда я жду открытия окна 'Календарь производства: Форма производства за период' в течение 20 секунд
	И я нажимаю на кнопку 'Сохранить'
	И Я закрываю окно 'Календарь производства: Форма производства за период'
	Тогда я жду открытия окна 'Календарь производства переработки' в течение 20 секунд
	И Я закрываю окно 'Календарь производства переработки'
	И Я закрываю окно 'Настройки планирования'

Сценарий: 002.6. Планирование переработки. Заполнение базовых продуктов

	Дано я удаляю все элементы таблицы "РегистрСведений.к2БазовыеПродуктыГотовойПродукции"
	И Я создаю связь "Сервелат Финский" с базовым продуктом "(БП) Сервелат Финский"
	И Я создаю связь "Сервелат Финский в/у" с базовым продуктом "(БП) Сервелат Финский"
	И Я создаю связь "Сервелат Финский Метро" с базовым продуктом "(БП) Сервелат Финский"

